> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach a source to a bot



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json post /bot/{id}/source/{sourceId}
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /bot/{id}/source/{sourceId}:
    post:
      tags:
        - Bot
      summary: Attach a source to a bot
      parameters:
        - name: id
          in: path
          description: The bot ID.
          required: true
          style: simple
          schema:
            type: string
        - name: sourceId
          in: path
          description: The source ID.
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttachSourceInput'
          text/json:
            schema:
              $ref: '#/components/schemas/AttachSourceInput'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AttachSourceInput'
      responses:
        '200':
          description: Success
components:
  schemas:
    AttachSourceInput:
      type: object
      properties:
        tags:
          type: array
          items:
            $ref: '#/components/schemas/ContactTag'
          nullable: true
        tagFilterConfig:
          $ref: '#/components/schemas/TagFilterConfig'
        channels:
          type: array
          items:
            type: string
          nullable: true
        personaNameOverride:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        flowVariableValues:
          type: object
          additionalProperties:
            type: string
          nullable: true
      additionalProperties: false
    ContactTag:
      type: object
      properties:
        name:
          type: string
          nullable: true
        approveDeny:
          type: boolean
        id:
          type: string
          nullable: true
      additionalProperties: false
    TagFilterConfig:
      type: object
      properties:
        operator:
          type: string
          nullable: true
        groups:
          type: array
          items:
            $ref: '#/components/schemas/TagFilterGroup'
          nullable: true
      additionalProperties: false
    TagFilterGroup:
      type: object
      properties:
        operator:
          type: string
          nullable: true
        rules:
          type: array
          items:
            $ref: '#/components/schemas/TagFilterRule'
          nullable: true
      additionalProperties: false
    TagFilterRule:
      type: object
      properties:
        tagName:
          type: string
          nullable: true
        tagId:
          type: string
          nullable: true
        condition:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````